#!/bin/sh

[ -n "$drwebconfdir" ] || drwebconfdir="/etc/drweb"
[ -n "$drwebprefix" ] || drwebprefix="/opt/drweb"
AGENT_CONF="$drwebconfdir/agent.conf"

AGENT_CONF_DIR="$drwebconfdir/agent/"
AGENT_CONF_DIR_OLD="$drwebprefix/agent/"


if [ -f "$AGENT_CONF" ] ; then
    if ( grep "^MetaConfigDir" "$AGENT_CONF" | grep "$AGENT_CONF_DIR_OLD" >/dev/null 2>/dev/null ) ; then
        AGENT_CONF_OLD="$AGENT_CONF.`date +%Y%m%d_%H-%M-%S`"
        cp "$AGENT_CONF" "$AGENT_CONF_OLD"
        sed "s|^MetaConfigDir.*|MetaConfigDir\ =\ $AGENT_CONF_DIR|g" "$AGENT_CONF_OLD" > "$AGENT_CONF"
        echo
        echo "$AGENT_CONF has been patched."
        echo "Backed up the old version of $AGENT_CONF as $AGENT_CONF_OLD"
    fi
fi
exit 0
